Dependent package with key emulator not found

Published on Author Code Father

Dependent package with key emulator not found error getting when updating Android SDK.   Solution to emulator package issue! After digging in the repo’s XML for a while I’ve spotted the issue. It turns out that the “emulator” package is only in channel 3 (canary) while the “tools” package is in channel 0 (stable) but depends on “emulator”. The solution is to force the manager to download the “emulator” package from channel 3:

./sdkmanager --channel=3 emulator

Problem solved!

Comments

comments